# parallel\Events::setTimeout

(0.9.0)

parallel\Events::setTimeout — Behaviour

### Descripción

By default when events are polled for, blocking will occur (at the PHP level) until the first event can be returned: Setting the timeout causes an exception to be thrown when the timeout is reached.

This differs from setting blocking mode to `false` with parallel\Events::setBlocking(), which will not cause an exception to be thrown.

public parallel\Events::setTimeout(int `$timeout`): void

Shall set the timeout in microseconds

### Exceptions

Advertencia

Shall throw parallel\Events\Error if loop is non-blocking.